Skip to main content
GET
Get the Latest Log Entries

Authorizations

X-API-Key
string
header
required

Supply the API Key in the HTTP-Header

Headers

Accept
enum<string>

The Accept header specifies the media type that the client expects in the response. Available options: application/json, application/hal+json, application/xml, text/xml, text/csv. The default value is application/json.

Available options:
application/json,
application/hal+json,
application/xml,
text/xml,
text/csv
x-cognigy-log-model-version
enum<string>

When set to "v2", response items include the full V2 model with a nested metadata object containing organizationId, projectId, and type.

Available options:
v1,
v2

Path Parameters

projectId
string
required

The unique identifier for the Project.

Required string length: 24
Pattern: ^[a-z0-9]{24}$

Query Parameters

next
string

The cursor that points to the next page of results. Use the nextCursor value returned in a previous response to request the next set of items.

Required string length: 24
previous
string

The cursor that points to the previous page of results. Use the previousCursor value returned in a previous response to request the previous set of items.

Required string length: 24
type
enum<string>[]

The log level to filter log entries by.

Available options:
fatal,
error,
warn,
info,
debug,
trace
userId
string

The ID of the user to filter log entries by.

flowName
string

The name of the Flow to filter log entries by.

Response

Returns array of the latest Log Entries

items
object[]
total
integer
Example:

1

nextCursor
string | null
Required string length: 24
Pattern: ^[a-z0-9]{24}$
previousCursor
string | null
Required string length: 24
Pattern: ^[a-z0-9]{24}$
Last modified on August 4, 2026